Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.core.v1
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.mediprima.core.v1.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.mediprima.core.v1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.mediprima.core.v1

Method Summary
`AllowedSupplementsType` | `createAllowedSupplementsType()` Create an instance of `AllowedSupplementsType`
`BeneficiaryType` | `createBeneficiaryType()` Create an instance of `BeneficiaryType`
`BySsinType` | `createBySsinType()` Create an instance of `BySsinType`
`CarmedAttributedListType` | `createCarmedAttributedListType()` Create an instance of `CarmedAttributedListType`
`CarmedContentCareType` | `createCarmedContentCareType()` Create an instance of `CarmedContentCareType`
`CarmedIdentifierType` | `createCarmedIdentifierType()` Create an instance of `CarmedIdentifierType`
`CbssStatus` | `createCbssStatus()` Create an instance of `CbssStatus`
`CompanyListType` | `createCompanyListType()` Create an instance of `CompanyListType`
`ConsultCarmedDataType` | `createConsultCarmedDataType()` Create an instance of `ConsultCarmedDataType`
`ConsultCarmedInterventionResultType` | `createConsultCarmedInterventionResultType()` Create an instance of `ConsultCarmedInterventionResultType`
`DoctorType` | `createDoctorType()` Create an instance of `DoctorType`
`HospitalizationType` | `createHospitalizationType()` Create an instance of `HospitalizationType`
`InformationType` | `createInformationType()` Create an instance of `InformationType`
`MedicalCardRegistryMessageType` | `createMedicalCardRegistryMessageType()` Create an instance of `MedicalCardRegistryMessageType`
`MedicalCardRegistryStatus` | `createMedicalCardRegistryStatus()` Create an instance of `MedicalCardRegistryStatus`
`MedicalCoverCommonInformationType` | `createMedicalCoverCommonInformationType()` Create an instance of `MedicalCoverCommonInformationType`
`MedicalCoverType` | `createMedicalCoverType()` Create an instance of `MedicalCoverType`
`MedicalTransportationType` | `createMedicalTransportationType()` Create an instance of `MedicalTransportationType`
`MiscellaneousType` | `createMiscellaneousType()` Create an instance of `MiscellaneousType`
`NameType` | `createNameType()` Create an instance of `NameType`
`NihiiNumberListType` | `createNihiiNumberListType()` Create an instance of `NihiiNumberListType`
`OcmwCpasType` | `createOcmwCpasType()` Create an instance of `OcmwCpasType`
`ParamedicType` | `createParamedicType()` Create an instance of `ParamedicType`
`PeriodType` | `createPeriodType()` Create an instance of `PeriodType`
`PharmaceuticalDrugType` | `createPharmaceuticalDrugType()` Create an instance of `PharmaceuticalDrugType`
`PodmiSppisPartType` | `createPodmiSppisPartType()` Create an instance of `PodmiSppisPartType`
`ProsthesisType` | `createProsthesisType()` Create an instance of `ProsthesisType`
`ProviderList` | `createProviderList()` Create an instance of `ProviderList`
`PswcSupportType` | `createPswcSupportType()` Create an instance of `PswcSupportType`
`RefundPodmiSppisType` | `createRefundPodmiSppisType()` Create an instance of `RefundPodmiSppisType`
`SupplementTypeListType` | `createSupplementTypeListType()` Create an instance of `SupplementTypeListType`
`ZivAmiPatientPartType` | `createZivAmiPatientPartType()` Create an instance of `ZivAmiPatientPartType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.mediprima.core.v1

Method Detail

### createCbssStatus

    public CbssStatus createCbssStatus()

  Create an instance of `CbssStatus`

### createInformationType

    public InformationType createInformationType()

  Create an instance of `InformationType`

### createMedicalCardRegistryStatus

    public MedicalCardRegistryStatus createMedicalCardRegistryStatus()

  Create an instance of `MedicalCardRegistryStatus`

### createMedicalCardRegistryMessageType

    public MedicalCardRegistryMessageType createMedicalCardRegistryMessageType()

  Create an instance of `MedicalCardRegistryMessageType`

### createSupplementTypeListType

    public SupplementTypeListType createSupplementTypeListType()

  Create an instance of `SupplementTypeListType`

### createAllowedSupplementsType

    public AllowedSupplementsType createAllowedSupplementsType()

  Create an instance of `AllowedSupplementsType`

### createBeneficiaryType

    public BeneficiaryType createBeneficiaryType()

  Create an instance of `BeneficiaryType`

### createBySsinType

    public BySsinType createBySsinType()

  Create an instance of `BySsinType`

### createCompanyListType

    public CompanyListType createCompanyListType()

  Create an instance of `CompanyListType`

### createConsultCarmedDataType

    public ConsultCarmedDataType createConsultCarmedDataType()

  Create an instance of `ConsultCarmedDataType`

### createConsultCarmedInterventionResultType

    public ConsultCarmedInterventionResultType createConsultCarmedInterventionResultType()

  Create an instance of `ConsultCarmedInterventionResultType`

### createDoctorType

    public DoctorType createDoctorType()

  Create an instance of `DoctorType`

### createCarmedAttributedListType

    public CarmedAttributedListType createCarmedAttributedListType()

  Create an instance of `CarmedAttributedListType`

### createCarmedContentCareType

    public CarmedContentCareType createCarmedContentCareType()

  Create an instance of `CarmedContentCareType`

### createCarmedIdentifierType

    public CarmedIdentifierType createCarmedIdentifierType()

  Create an instance of `CarmedIdentifierType`

### createHospitalizationType

    public HospitalizationType createHospitalizationType()

  Create an instance of `HospitalizationType`

### createMedicalCoverCommonInformationType

    public MedicalCoverCommonInformationType createMedicalCoverCommonInformationType()

  Create an instance of `MedicalCoverCommonInformationType`

### createMedicalCoverType

    public MedicalCoverType createMedicalCoverType()

  Create an instance of `MedicalCoverType`

### createMedicalTransportationType

    public MedicalTransportationType createMedicalTransportationType()

  Create an instance of `MedicalTransportationType`

### createMiscellaneousType

    public MiscellaneousType createMiscellaneousType()

  Create an instance of `MiscellaneousType`

### createNameType

    public NameType createNameType()

  Create an instance of `NameType`

### createNihiiNumberListType

    public NihiiNumberListType createNihiiNumberListType()

  Create an instance of `NihiiNumberListType`

### createOcmwCpasType

    public OcmwCpasType createOcmwCpasType()

  Create an instance of `OcmwCpasType`

### createParamedicType

    public ParamedicType createParamedicType()

  Create an instance of `ParamedicType`

### createPeriodType

    public PeriodType createPeriodType()

  Create an instance of `PeriodType`

### createPharmaceuticalDrugType

    public PharmaceuticalDrugType createPharmaceuticalDrugType()

  Create an instance of `PharmaceuticalDrugType`

### createProsthesisType

    public ProsthesisType createProsthesisType()

  Create an instance of `ProsthesisType`

### createPswcSupportType

    public PswcSupportType createPswcSupportType()

  Create an instance of `PswcSupportType`

### createRefundPodmiSppisType

    public RefundPodmiSppisType createRefundPodmiSppisType()

  Create an instance of `RefundPodmiSppisType`

### createPodmiSppisPartType

    public PodmiSppisPartType createPodmiSppisPartType()

  Create an instance of `PodmiSppisPartType`

### createZivAmiPatientPartType

    public ZivAmiPatientPartType createZivAmiPatientPartType()

  Create an instance of `ZivAmiPatientPartType`

### createProviderList

    public ProviderList createProviderList()

  Create an instance of `ProviderList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.